package kr.co.uplus.ez.api.mntrng.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class LiveSendSttusResDto extends ResponseMessage implements Serializable{

	@ApiModelProperty(example = "데이터")
	private LiveSendSttusRes data;

	public LiveSendSttusResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public LiveSendSttusResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public LiveSendSttusResDto(ApiResponseCode returnStr, LiveSendSttusRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}

}
